> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # Info > Used to get details on a single device using your application. ## OpenAPI ````json POST /info/device { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/info/device": { "post": { "summary": "Info", "description": "Used to get details on a single device using your application.", "operationId": "device-info", "deprecated": "false", "requestBody": { "required": "true", "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken", "id" ], "properties": { "apptoken": { "type": "string", "description": "Your App Token" }, "id": { "type": "integer", "format": "int64", "description": "The ID of the device action you are looking for" }, "select": { "type": "array", "description": "Select what attributes to return, eg. `[\"id\", \"active\", \"addressable\", \"type\"]`", "items": { "type": "string" } } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "model": { "type": "object" } } }, "examples": { "Mobile device": { "value": { "success": "true", "code": "200", "model": { "id": "DEVICE_ID", "project_id": "PROJECT_ID", "application_id": "4355", "profile_id": "11ebf6ba2fcbeb199bba025637c9c88f", "create_time": "1625478315", "open_time": "1630337799", "token": "ff54db9bca94b0c6bad0cf85fddedaf4f4e13012385841e063dd75d46c010ba5", "active": "1", "addressable": "1", "subscription": "1", "type": "ios", "environment": "production", "device_id": "9EE20526-356D-4209-9658-989C68288F5A", "device_idfv": "34794403-B5CE-4460-BD67-C2A365322842", "device_idfa": "00000000-0000-0000-0000-000000000000", "device_type": "iPhone", "device_model": "iPhone12,8", "device_model_name": "iPhone12,8", "device_os": "14.6", "user_agent": "Mozilla/5.0 (iPhone; CPU iPhone OS 14_6 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148", "name": "Maria’s iPhone", "timezone": "Europe/Dublin", "country": "IE", "language": "en", "carrier_name": "Carrier", "app_version": "1.0", "lib_version": "i-02112018", "key": "e0en1HyouY69XyQMR2JH0kqNydyzlI5b" } } }, "Web devices": { "value": { "success": "true", "code": "200", "model": { "id": "DEVICE_ID", "project_id": "PROJECT_ID", "application_id": "5471", "profile_id": "11eb0ca1064e5d5188bc7061c72c7ac00", "create_time": "1603904361", "open_time": "1604485204", "token": "eq_bQlRwVYI:APA91bE5NKmPdFmnSlhosFp7W1BleVtiwmEbtnOeHnJlrTieGagXVIFOCqFjry-vyiQCrg5uLhiAY8K-dw3_YFRGHZun3VwUBjy52YNky5kESSBFjdMsldzbr6GWzGmpumSbskuxrkZe", "active": "1", "addressable": "0", "subscription": "1", "type": "web", "environment": "chrome", "device_id": "XP_O5Asm9TtbHqrtY6eOFyQlco-AwTfMTOw", "device_type": "Apple", "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.111 Safari/537.36", "timezone": "UTC", "language": "en", "browser": "Chrome", "browser_type": "desktop", "browser_version": "chrome/86", "browser_opt_version": "chrome/86", "browser_os_version": "mac/10", "lib_version": "1.10.0", "key": "7_9PAStFJsJ4VM6Hmw_3XUQ9Lh3i0nMm" } } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } }, "404": { "description": "404", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "404", "default": "0" }, "message": { "type": "string", "example": "Not Found" } } }, "examples": { "Result": { "value": { "success": "false", "code": "404", "message": "Not Found" } } } } } } }, "tags": [ "Device Methods" ] } } } } ````